package com.totopia.server.user.repository;

import com.totopia.server.user.model.User;
import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import static org.junit.Assert.*;


@RunWith(SpringRunner.class)
@SpringBootTest
public class UserRepositoryTest {

    @Autowired
    private UserRepository userRepository;

    private User.UserBuilder user;

    @Before
    public void setUp() throws Exception {
        user = User.builder()
                .activation("Y")
                .block(false)
                .email("geekdev@naver.com")
                .isAdmin(true)
                .nickname("admin")
                .otep("")
                .otpKey("")
                .password("qwer5795")
                .username("admin")
                .requireReset(false)
                .resetCount(Long.valueOf(0));
    }

    @Test
    public void findByUsername() throws Exception {
        User tempUser = user.build();

        this.userRepository.save(tempUser);

        User user1 = this.userRepository.findByUsername(tempUser.getUsername());

        assertEquals("Equlas", user.build().getUsername(), user1.getUsername());
    }

    @Test
    public void findByEmail() {
    }

    @Test
    public void findAllByNickname() {
    }

    @Test
    public void findAllByBlockTrue() {
    }

    @Test
    public void findAllByBlockFalse() {
    }

    @Test
    public void findAllByIsAdminTrue() {
    }

    @Test
    public void findAllByRequireResetTrue() {
    }

    @Test
    public void findAllByIsAdminFalseAndActivationEquals() {
    }

    @Test
    public void findAllByRegisterDateBetween() {
    }

    @Test
    public void findAllByLastvisitDateBetween() {
    }

    @Test
    public void findAllByLastResetTimeBetween() {
    }

    @Test
    public void countByRegisterDateGreaterThanEqual() {
    }
}